let key = "0xB853ADA5DA7BBF7A";
in {
  programs.git = {
    enable = true;
    userName = "jolheiser";
    userEmail = "john.olheiser@gmail.com";
    signing = {
      signByDefault = true;
      key = key;
    };
    aliases = {
      wt = "worktree";
      ci = "commit -s -S -m";
      br = "branch";
      aa = "add .";
      adog = "log --all --decorate --oneline --graph";
      poh = "push origin HEAD";
      cb = "checkout -b";
      fu = "fetch upstream";
      fo = "fetch origin";
    };
    lfs.enable = true;
    ignores = [ ".idea/" ];
    extraConfig = {
      init.defaultBranch = "main";
      merge.conflictstyle = "diff3";
      diff.colorMoved = "default";
    };
    delta = {
      enable = true;
      options = {
        features = "ctp-mocha";
        navigate = true;
        light = false;
        line-numbers = true;
        side-by-side = true;
      };
    };
  };
}
