{ pkgs, ... }:
let key = "0xB853ADA5DA7BBF7A";
in {
  home.packages = with pkgs; [ pinentry ];
  programs.gpg = {
    enable = true;
    settings = {
      default-key = key;
      trusted-key = key;
      no-comments = true;
      no-greeting = true;
      no-emit-version = true;
      keyid-format = "0xlong";
      list-options = "show-uid-validity";
      verify-options = "show-uid-validity";
      with-fingerprint = true;
      with-key-origin = true;
    };
  };
  services.gpg-agent = {
    enable = true;
    enableExtraSocket = true;
    enableSshSupport = true;
    pinentryFlavor = "gnome3";
  };
}
